#ifndef __POP3Command_h__
# define __POP3Command_h__

# include "Command.h"
# include "TCPSession.h"
# include "POP3Session.h"

namespace mail {
   
   class POP3Command : public core::Command {
      
    public:
      virtual int processCommand(std::string request, core::TCPSession *session, std::stringstream &data) override {
	 coreutils::PString parser(request);
	 return processCommand(parser, (POP3Session &)*session, data);	 
      }

      virtual int processCommand(coreutils::PString request, POP3Session &session, std::stringstream &data) {
	 return 0;
      }
      
   };
   
}

#endif
